FileSetUtils
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.impl.publishing
Class FileSetUtils

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.impl.publishing.FileSetUtils

    public class FileSetUtils

extends java.lang.Object

Constructor Summary
`FileSetUtils()`

Method Summary
`static java.lang.StringBuilder[]` | `clusterize(java.sql.ResultSet rs, int maxIndex, int toClusterIndex, int probabilityIndex, boolean bioDiversity)` Clusterize rs in N stringBuilders compliant with CsquareCode convention
`static java.util.Map<java.lang.String,java.lang.String>` | `generateFileMap(java.lang.String csqString, java.lang.String objectTitle)`
`static java.util.List<java.lang.String>` | `getTempFiles(java.lang.String objectTitle)`
`static java.lang.String` | `getTempMapsFolder()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileSetUtils

    public FileSetUtils()

Method Detail

### getTempMapsFolder

    public static final java.lang.String getTempMapsFolder()

### generateFileMap

    public static java.util.Map<java.lang.String,java.lang.String> generateFileMap(java.lang.String csqString,
                                                                                   java.lang.String objectTitle)
                                                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getTempFiles

    public static java.util.List<java.lang.String> getTempFiles(java.lang.String objectTitle)

### clusterize

    public static java.lang.StringBuilder[] clusterize(java.sql.ResultSet rs,
                                                       int maxIndex,
                                                       int toClusterIndex,
                                                       int probabilityIndex,
                                                       boolean bioDiversity)
                                                throws java.sql.SQLException

  Clusterize rs in N stringBuilders compliant with CsquareCode convention

  Parameters:
    `rs` -
    `maxIndex` - the column index to retrieve max value
    `toClusterIndex` - the column index of CsquareCodes
    `probabilityIndex` - the column index of probability
  Returns:
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD